Bug 178699 - LJ6P stopped working, gs eats one CPU
LJ6P stopped working, gs eats one CPU
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 11:40 EST by Patrick C. F. Ernzer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 14:05:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
error log (218.72 KB, text/plain)
2006-01-23 12:53 EST, Patrick C. F. Ernzer
no flags Details
/etc/cups/printers.conf (3.03 KB, text/plain)
2006-01-23 12:54 EST, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2006-01-23 11:40:56 EST
Description of problem:
a recent update broke printing on the LaserJet 6P that is connected to the
partallel port of this machine.


Version-Release number of selected component (if applicable):
cups-1.1.23-15.3


How reproducible:
Every time

Steps to Reproduce:
1. have working print queue last year
2. 'yum update' some time in January
3. try to print
  
Actual results:
hpijs goes zombie and gs consumes one CPU on it's own (it's a dual Xeon machine)

Expected results:
printing still working as it was before updating (cups or foomatic would be my
guesses)

Additional info:
work around is to select ljet4 instead of hpijs as driver in s-c-printer.

I'm not quite sure when it broke as I only print very seldom on this printer.

[root@bofferding-pcfe ~]# rpm -qa --last|grep Jan
hal-devel-0.5.2-2.fc4.1                       Mon 23 Jan 2006 12:35:18 PM EET
texinfo-4.8-8.fc4.1                           Mon 23 Jan 2006 12:35:17 PM EET
kdelibs-devel-3.5.0-0.4.fc4                   Mon 23 Jan 2006 12:35:10 PM EET
mod_ssl-2.0.54-10.3                           Mon 23 Jan 2006 12:34:21 PM EET
logwatch-7.0-2.fc4                            Mon 23 Jan 2006 12:34:19 PM EET
httpd-manual-2.0.54-10.3                      Mon 23 Jan 2006 12:34:17 PM EET
info-4.8-8.fc4.1                              Mon 23 Jan 2006 12:34:15 PM EET
flex-2.5.4a-36.fc4                            Mon 23 Jan 2006 12:34:15 PM EET
hal-0.5.2-2.fc4.1                             Mon 23 Jan 2006 12:34:14 PM EET
kdelibs-3.5.0-0.4.fc4                         Mon 23 Jan 2006 12:33:50 PM EET
httpd-2.0.54-10.3                             Mon 23 Jan 2006 12:33:26 PM EET
inkscape-0.43-1.fc4                           Fri 20 Jan 2006 01:57:11 PM EET
gc-6.6-4.fc4                                  Fri 20 Jan 2006 01:57:10 PM EET
libsigc++20-2.0.11-1                          Fri 20 Jan 2006 01:57:09 PM EET
gtkmm24-2.6.2-2                               Fri 20 Jan 2006 01:57:09 PM EET
glibmm24-2.6.1-1                              Fri 20 Jan 2006 01:57:09 PM EET
openoffice.org-draw-2.0.1.1-5.1               Fri 20 Jan 2006 12:14:45 PM EET
cogito-0.16.3-1.fc4                           Fri 20 Jan 2006 12:14:44 PM EET
autofs-4.1.4-15                               Fri 20 Jan 2006 12:14:44 PM EET
openoffice.org-langpack-fr-2.0.1.1-5.1        Fri 20 Jan 2006 12:14:43 PM EET
openoffice.org-langpack-de-2.0.1.1-5.1        Fri 20 Jan 2006 12:14:39 PM EET
openoffice.org-graphicfilter-2.0.1.1-5.1      Fri 20 Jan 2006 12:14:37 PM EET
openoffice.org-xsltfilter-2.0.1.1-5.1         Fri 20 Jan 2006 12:14:36 PM EET
groff-1.18.1.1-6.FC4                          Fri 20 Jan 2006 12:14:34 PM EET
openoffice.org-impress-2.0.1.1-5.1            Fri 20 Jan 2006 12:14:32 PM EET
openoffice.org-math-2.0.1.1-5.1               Fri 20 Jan 2006 12:14:31 PM EET
libpcap-0.8.3-14.FC4                          Fri 20 Jan 2006 12:14:31 PM EET
alsa-lib-devel-1.0.10-3.FC4                   Fri 20 Jan 2006 12:14:30 PM EET
tcpdump-3.8.2-14.FC4                          Fri 20 Jan 2006 12:14:28 PM EET
openoffice.org-writer-2.0.1.1-5.1             Fri 20 Jan 2006 12:14:28 PM EET
foomatic-3.0.2-19.2                           Fri 20 Jan 2006 12:14:20 PM EET
kdegraphics-3.5.0-0.2.fc4                     Fri 20 Jan 2006 12:14:13 PM EET
openoffice.org-calc-2.0.1.1-5.1               Fri 20 Jan 2006 12:14:11 PM EET
libwpd-0.8.4-0                                Fri 20 Jan 2006 12:14:08 PM EET
git-core-1.1.2-1.fc4                          Fri 20 Jan 2006 12:14:07 PM EET
alsa-lib-1.0.10-3.FC4                         Fri 20 Jan 2006 12:13:47 PM EET
openoffice.org-core-2.0.1.1-5.1               Fri 20 Jan 2006 12:13:41 PM EET
fortune-firefly-2.0.1-1.fc4                   Tue 17 Jan 2006 06:35:29 PM EET
kmobiletools-0.4.3.1-1                        Mon 16 Jan 2006 04:21:37 PM EET
pcre-devel-5.0-4.1.fc4                        Mon 16 Jan 2006 04:14:16 PM EET
qt-devel-3.3.4-15.4                           Mon 16 Jan 2006 04:14:10 PM EET
arts-devel-1.5.0-0.2.fc4                      Mon 16 Jan 2006 04:13:59 PM EET
pyrpm-0.39-1                                  Mon 16 Jan 2006 04:09:15 PM EET
bluez-libs-devel-2.15-1                       Mon 16 Jan 2006 02:29:25 PM EET
openobex-devel-1.0.1-3.0.FC4.1                Mon 16 Jan 2006 02:27:53 PM EET
xterm-207-2.FC4                               Mon 16 Jan 2006 02:22:22 PM EET
tetex-xdvi-3.0-9.FC4                          Mon 16 Jan 2006 02:22:21 PM EET
tzdata-2005r-3.fc4                            Mon 16 Jan 2006 02:22:20 PM EET
dhclient-3.0.2-28.FC4                         Mon 16 Jan 2006 02:22:16 PM EET
tetex-afm-3.0-9.FC4                           Mon 16 Jan 2006 02:22:14 PM EET
perl-Video-DVDRip-0.97.6-1.2.fc4              Mon 16 Jan 2006 02:22:12 PM EET
tetex-latex-3.0-9.FC4                         Mon 16 Jan 2006 02:21:41 PM EET
perl-Net-SSLeay-1.26-2                        Mon 16 Jan 2006 02:21:35 PM EET
perl-IO-Socket-SSL-0.97-1.fc4                 Mon 16 Jan 2006 02:21:35 PM EET
perl-Event-RPC-0.88-1.2.fc4                   Mon 16 Jan 2006 02:21:35 PM EET
lftp-3.2.1-10_FC4                             Mon 16 Jan 2006 02:21:35 PM EET
postgresql-libs-8.0.6-1.FC4.1                 Mon 16 Jan 2006 02:21:34 PM EET
poppler-0.4.4-1.1                             Mon 16 Jan 2006 02:21:34 PM EET
xine-lib-1.1.1-1.2.fc4                        Mon 16 Jan 2006 02:21:16 PM EET
perl-Gtk2-Ex-FormFactory-0.59-1.2.fc4         Mon 16 Jan 2006 02:21:15 PM EET
perl-Gtk2-1.102-1.fc4                         Mon 16 Jan 2006 02:21:13 PM EET
perl-Glib-1.102-1.fc4                         Mon 16 Jan 2006 02:21:11 PM EET
less-394-1.fc4                                Mon 16 Jan 2006 02:21:09 PM EET
perl-Event-1.06-1.2.fc4                       Mon 16 Jan 2006 02:21:08 PM EET
tetex-3.0-9.FC4                               Mon 16 Jan 2006 02:21:06 PM EET
tetex-dvips-3.0-9.FC4                         Mon 16 Jan 2006 02:20:48 PM EET
tetex-fonts-3.0-9.FC4                         Mon 16 Jan 2006 02:20:31 PM EET
bittorrent-4.2.2-2.fc4                        Tue 10 Jan 2006 05:32:42 PM EET
python-crypto-2.0.1-1.fc4                     Tue 10 Jan 2006 05:32:40 PM EET
VMwareWorkstation-5.5.1-19175                 Mon 09 Jan 2006 08:08:22 PM EET
kernel-smp-devel-2.6.14-1.1656_FC4            Mon 09 Jan 2006 07:31:48 PM EET
kernel-smp-2.6.14-1.1656_FC4                  Mon 09 Jan 2006 07:31:21 PM EET
netpbm-progs-10.31-1.FC4                      Mon 09 Jan 2006 07:31:11 PM EET
util-linux-2.12p-9.13                         Mon 09 Jan 2006 07:31:08 PM EET
netpbm-devel-10.31-1.FC4                      Mon 09 Jan 2006 07:31:06 PM EET
cups-1.1.23-15.3                              Mon 09 Jan 2006 07:31:05 PM EET
hpijs-0.9.7-4.2                               Mon 09 Jan 2006 07:31:03 PM EET
kernel-doc-2.6.14-1.1656_FC4                  Mon 09 Jan 2006 07:31:02 PM EET
eclipse-jdt-3.1.1-1jpp_1fc.FC4.12             Mon 09 Jan 2006 07:30:50 PM EET
kernel-2.6.14-1.1656_FC4                      Mon 09 Jan 2006 07:30:34 PM EET
gimp-2.2.10-0.fc4.1                           Mon 09 Jan 2006 07:30:27 PM EET
eclipse-platform-3.1.1-1jpp_1fc.FC4.12        Mon 09 Jan 2006 07:30:18 PM EET
libswt3-gtk2-3.1.1-1jpp_1fc.FC4.12            Mon 09 Jan 2006 07:30:11 PM EET
libsane-hpaio-0.9.7-4.2                       Mon 09 Jan 2006 07:30:09 PM EET
eclipse-rcp-3.1.1-1jpp_1fc.FC4.12             Mon 09 Jan 2006 07:30:09 PM EET
cups-libs-1.1.23-15.3                         Mon 09 Jan 2006 07:30:07 PM EET
eclipse-ecj-3.1.1-1jpp_1fc.FC4.12             Mon 09 Jan 2006 07:29:59 PM EET
netpbm-10.31-1.FC4                            Mon 09 Jan 2006 07:29:42 PM EET
system-config-nfs-1.3.11-0.fc4.2              Wed 04 Jan 2006 03:19:25 PM EET
alsa-utils-1.0.10-1.FC4                       Wed 04 Jan 2006 03:19:24 PM EET
kbd-1.12-10.fc4.1                             Wed 04 Jan 2006 03:19:21 PM EET
transcode-1.0.2-2.2.fc4                       Wed 04 Jan 2006 03:19:19 PM EET
mc-4.6.1a-4.FC4                               Wed 04 Jan 2006 03:19:19 PM EET
kdeaddons-3.5.0-0.1.fc4                       Wed 04 Jan 2006 03:19:17 PM EET
curl-devel-7.13.1-5.fc4                       Wed 04 Jan 2006 03:19:15 PM EET
fedora-rpmdevtools-1.4-1.fc4                  Wed 04 Jan 2006 03:19:14 PM EET
selinux-policy-targeted-1.27.1-2.16           Wed 04 Jan 2006 03:19:13 PM EET
caching-nameserver-7.3-4.FC4                  Wed 04 Jan 2006 03:19:13 PM EET
sudo-1.6.8p8-2.4                              Wed 04 Jan 2006 03:18:10 PM EET
mencoder-1.0-0.20.pre7.2.fc4                  Wed 04 Jan 2006 03:18:10 PM EET
dbh-1.0.24-3.fc4                              Wed 04 Jan 2006 03:18:10 PM EET
fetchmail-6.2.5.5-1.fc4                       Wed 04 Jan 2006 03:17:35 PM EET
yumex-0.44-1.0.fc4                            Wed 04 Jan 2006 03:17:33 PM EET
kdeartwork-3.5.0-0.1.fc4                      Wed 04 Jan 2006 03:17:16 PM EET
gtkpod-0.99.2-1.2.fc4                         Wed 04 Jan 2006 03:17:12 PM EET
libgpod-0.3.0-1.2.fc4                         Wed 04 Jan 2006 03:17:11 PM EET
k3b-0.12.10-0.fc4.1                           Wed 04 Jan 2006 03:17:11 PM EET
cdrdao-1.1.9-9                                Wed 04 Jan 2006 03:17:09 PM EET
gjdoc-0.7.7-0.FC4                             Wed 04 Jan 2006 03:17:07 PM EET
bmp-0.9.7.1-1.fc4                             Wed 04 Jan 2006 03:17:07 PM EET
mjpegtools-1.8.0-1.2.fc4                      Wed 04 Jan 2006 03:17:06 PM EET
libosip2-2.2.2-1.fc4                          Wed 04 Jan 2006 03:17:05 PM EET
gsm-1.0.10-5.2.fc4                            Wed 04 Jan 2006 03:17:05 PM EET
ffmpeg-0.4.9-0.3.20051207.2.fc4               Wed 04 Jan 2006 03:17:05 PM EET
libavc1394-0.5.1-0.2.fc4                      Wed 04 Jan 2006 03:17:04 PM EET
mysql-4.1.16-1.FC4.1                          Wed 04 Jan 2006 03:17:03 PM EET
kdenetwork-3.5.0-0.1.fc4                      Wed 04 Jan 2006 03:17:01 PM EET
kdeutils-3.5.0-0.1.fc4                        Wed 04 Jan 2006 03:16:54 PM EET
yum-2.4.1-1.fc4                               Wed 04 Jan 2006 03:16:49 PM EET
curl-7.13.1-5.fc4                             Wed 04 Jan 2006 03:16:49 PM EET
ffmpeg-libpostproc-0.4.9-0.3.20051207.2.fc4   Wed 04 Jan 2006 03:16:48 PM EET
sane-backends-1.0.17-0.fc4.1                  Wed 04 Jan 2006 03:16:40 PM EET
mplayer-1.0-0.20.pre7.2.fc4                   Wed 04 Jan 2006 03:16:36 PM EET
kdepim-3.5.0-0.2.fc4                          Wed 04 Jan 2006 03:16:34 PM EET
kdemultimedia-3.5.0-0.1.fc4                   Wed 04 Jan 2006 03:16:24 PM EET
kdebase-3.5.0-0.1.fc4                         Wed 04 Jan 2006 03:15:27 PM EET
arts-1.5.0-0.2.fc4                            Wed 04 Jan 2006 03:14:25 PM EET
perl-5.8.6-22                                 Wed 04 Jan 2006 03:14:21 PM EET
Comment 1 Patrick C. F. Ernzer 2006-01-23 11:52:06 EST
small correction, I just rebooted and saw that while I get a gs taking one CPU,
I have no hpijs zombie, guess that will appear when I kill the offending gs process
Comment 2 Tim Waugh 2006-01-23 11:56:42 EST
Most likely culprit is hplip.  Please change the 'LogLevel' line in
/etc/cups/cupsd.conf to read:

LogLevel debug2

then clear out /var/log/cups/error_log with:

/sbin/service cups stop
>/var/log/cups/error_log
/sbin/service cups start

1. When you try printing now, what's in /var/log/cups/error_log when the job has
failed?

2. If you install ghostscript-debug and attach gdb with 'gdb /usr/bin/gs 1000'
(with 1000 replaced by gs's PID), what does 'bt' say?
Comment 3 Patrick C. F. Ernzer 2006-01-23 12:18:58 EST
this is weird, I have ghostscript-7.07-41 installed while the ftp server only
has ghostscript-7.07-40

I'll downgrade to -40 and retest
Comment 4 Patrick C. F. Ernzer 2006-01-23 12:21:25 EST
doh!, /me bangs head on table saying 'updates is the directory to check'
Comment 5 Patrick C. F. Ernzer 2006-01-23 12:22:56 EST
(gdb) bt
#0  0x00bff402 in __kernel_vsyscall ()
#1  0x00a95a83 in __read_nocancel () from /lib/libc.so.6
#2  0x00a39731 in _IO_file_read_internal () from /lib/libc.so.6
#3  0x00a3857c in _IO_new_file_underflow () from /lib/libc.so.6
#4  0x00a3a4a9 in __underflow () from /lib/libc.so.6
#5  0x00a39ba0 in _IO_file_xsgetn_internal () from /lib/libc.so.6
#6  0x00a3a8b3 in _IO_sgetn_internal () from /lib/libc.so.6
#7  0x00a2f98f in fread () from /lib/libc.so.6
#8  0x002300e6 in clist_fread_chars (data=0xbfb2c0cc, len=12, cf=0x9628418) at
./src/gxclfile.c:96
#9  0x002242f6 in s_band_read_process (st=0xbfb2bca8, ignore_pr=0xbfb2ab90,
pw=0xbfb2abd0, last=0) at ./src/gxclread.c:117
#10 0x001b3057 in sreadbuf (s=Variable "s" is not available.
) at ./src/stream.c:795
#11 0x001b378d in sgets (s=0xbfb2c3f8, buf=0xbfb2ae44
"\220\uffff\uffff\uffffx\uffff\uffff\uffff(\0252", nmax=800, pn=0x0) at
./src/stream.c:518
#12 0x0021f8dc in top_up_cbuf (pcb=0xbfb2bb84, cbp=Variable "cbp" is not available.
) at ./src/gxclrast.c:134
#13 0x0021fe23 in clist_playback_band (playback_action=playback_action_render,
cdev=0x957f3a4, s=0xbfb2c3f8, target=0x9631e68, x0=0, y0=0, mem=0x951b41c)
    at ./src/gxclrast.c:361
#14 0x0022458f in clist_playback_file_bands (action=playback_action_render,
cdev=0x957f3a4, page_info=Variable "page_info" is not available.
) at ./src/gxclread.c:517
#15 0x00224873 in clist_render_rectangle (cdev=0x957f3a4, prect=0xbfb2cadc,
bdev=0x9631e68, render_plane=0xbfb2cbec, clear=1) at ./src/gxclread.c:459
#16 0x00224acf in clist_rasterize_lines (dev=0x957f3a4, y=0, line_count=Variable
"line_count" is not available.
) at ./src/gxclread.c:369
#17 0x00224ccf in clist_get_bits_rectangle (dev=0x957f3a4, prect=0xbfb2cccc,
params=0xbfb2cc40, unread=0x0) at ./src/gxclread.c:260
#18 0x0034c22f in gx_default_get_bits (dev=0x957f3a4, y=0, data=0x0,
actual_data=0xbfb2cea4) at ./src/gdevdgbr.c:57
#19 0x0021b92d in gdev_prn_get_bits (pdev=0x957f3a4, y=0, str=0x96a52fc "",
actual_data=0xbfb2cea4) at ./src/gdevprn.c:1150
#20 0x00249d60 in gsijs_output_page (dev=0x957f3a4, num_copies=1, flush=1) at
./src/gdevijs.c:712
#21 0x003120d8 in gs_output_page (pgs=0x0, num_copies=1, flush=0) at
./src/gsdevice.c:138
#22 0x001c64ce in zoutputpage (i_ctx_p=0x953bd88) at ./src/zdevice.c:326
#23 0x001a9346 in gs_interpret (pi_ctx_p=0x4b7ba4, pref=0x0, user_errors=1,
pexit_code=0xbfb2d448, perror_object=0xbfb2d440) at ./src/interp.c:1493
#24 0x0019f5b2 in gs_main_interpret (minst=0x4b79a0, pref=Variable "pref" is not
available.
) at ./src/imain.c:207
#25 0x0019f7ad in gs_main_run_string_end (minst=0x0, user_errors=-1208823808,
pexit_code=0xbfb2d448, perror_object=0xbfb2d448) at ./src/imain.c:595
#26 0x0019fb20 in gs_main_run_string_with_length (minst=0x4b79a0, str=0x0,
length=0, user_errors=1, pexit_code=0xbfb2d448, perror_object=0xbfb2d440)
    at ./src/imain.c:553
#27 0x0019fb6e in gs_main_run_string (minst=0x0, str=0x955e4c0
"<2f6465762f66642f30>.runfile", user_errors=0, pexit_code=0x0, perror_object=0x0)
    at ./src/imain.c:535
#28 0x001a0367 in run_string (minst=0x4b79a0, str=Variable "str" is not available.
) at ./src/imainarg.c:758
#29 0x001a06c3 in argproc (minst=0x4b79a0, arg=0xbfb2fe38 "/dev/fd/0") at
./src/imainarg.c:687
#30 0x001a236e in gs_main_init_with_args (minst=0x4b79a0, argc=17,
argv=0xbfb2e2b4) at ./src/imainarg.c:209
#31 0x001a30e1 in gsapi_init_with_args (minst=0x4b79a0, argc=0, argv=0x0) at
./src/iapi.c:145
#32 0x080488f2 in main (argc=0, argv=0x0) at ./src/dxmainc.c:90
(gdb)
Comment 6 Patrick C. F. Ernzer 2006-01-23 12:53:55 EST
Created attachment 123583 [details]
error log

error log after 25 minutes, it's still hogging the CPU
I'll kill the gs now (this is not the same process as the one used with gdb in
my previous update to this BZ, I killed that one already and only changed the
LogLevel afterwards
Comment 7 Patrick C. F. Ernzer 2006-01-23 12:54:38 EST
Created attachment 123584 [details]
/etc/cups/printers.conf
Comment 8 Patrick C. F. Ernzer 2006-01-23 14:05:51 EST
/me swears loudly

found the problem, /var had run full, all 3 GB of it, thank you yum.

closing.

Note You need to log in before you can comment on or make changes to this bug.